  <div class="container" style="width: 450%" *ngIf="!showComponent">
    <div class="card card-login mx-auto mt-5">
      <div class="card-header">Connectez - vous au FinTerminaux</div>
      <div class="card-body">
        <form >
          <div class="form-group">
            <div class="form-label-group">
              <input type="text" class="form-control" placeholder="Identifiant" required="required" #username>
              <label for="inputEmail">Identifiant</label>
            </div>
          </div>
          <div class="form-group">
            <div class="form-label-group">
              <input type="password"  class="form-control" placeholder="Mot de passe" required="required" #password>
              <label for="inputPassword">Mot de passe</label>
            </div>
          </div>
         <button  class="btn btn-primary btn-block" style="background: #4D4D4D; color: #fff" (click)="login(username.value, password.value)">Se connecter</button>
        </form>
      </div>
    </div>
  </div>

  <div *ngIf="showComponent">
    <nav class="navbar navbar-expand navbar-dark bg-dark static-top">

    <a class="navbar-brand mr-1" routerLink="/addTerminal">FinTerminaux</a>

      <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" href="#">
      <i class="fas fa-bars"></i>
    </button>

     <form class="d-none d-md-inline-block form-inline ml-auto mr-0 mr-md-3 my-2 my-md-0">
      <div class="input-group">
       
      </div>
    </form>

    <ul class="navbar-nav ml-auto ml-md-0">
      <li class="nav-item dropdown no-arrow">
        <a class="nav-link dropdown-toggle" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fas fa-cog fa-fw"></i>
        </a>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
           <a class="dropdown-item" routerLink="/gestionProfil">Gestion des profils</a>
          <a class="dropdown-item" routerLink="/gestionUser">Gestion des admin/users</a>
          <a class="dropdown-item" routerLink="/modifPerso">Modification des informations</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal" (click)="onLogout()">Déconnexion</a>
        </div>
      </li>

      <li class="nav-item dropdown no-arrow">
      <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" (click)="onLogout()"> Déconnexion</a>
      </li>
    </ul> 
  </nav>

  <div id="wrapper">
    <ul class="sidebar navbar-nav">
      <li class="nav-item">
        <a class="nav-link" routerLink="/addTerminal" routerLinkActive="active">
          <i class="fas fa-plus"> </i>
          <span>Ajouter des terminaux</span></a>
      </li>
      

       <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="pagesDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fas fa-list-ul"> </i>
          <span>Liste des terminaux</span>
        </a>
        <div class="dropdown-menu" aria-labelledby="pagesDropdown">
          <a class="dropdown-item" routerLink="/borneDeService">Bornes de service</a>
          <a class="dropdown-item" routerLink="/tpe">TPE</a>
        </div>
      </li>

      <li class="nav-item">
        <a class="nav-link" routerLink="/card" routerLinkActive="active">
          <i class="fas fa-fw fa-chart-area"> </i>
          <span>Carte</span></a>
      </li>
     <!-- <li class="nav-item">
        <a class="nav-link" routerLink="/tpe" routerLinkActive="active">
          <i class="fas fa-fw fa-table"> </i>
          <span>Terminaux</span></a>
      </li>-->
    </ul>

    <router-outlet></router-outlet>
  </div>
</div>
